<?php

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

    $ut = time();
    include 'wall.php';
?>

<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="cache-control" content="no-cache, no-store, must-revalidate">
<meta http-equiv="Expires" content="Thu, 01 Jan 1970 00:00:00 GMT">
<title>Intraday King</title>
<style>
* {box-sizing: border-box;}
body {font-family: Verdana, sans-serif;}
.mySlides {display: none;max-height: 200px;}
img {vertical-align: middle;}

/* Slideshow container */
.slideshow-container {
  /*max-width: 100%;*/
  max-height: 200px;
  position: relative;
  margin: auto;
}

/* Caption text */
.text {
  color: #f2f2f2;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
  display: none;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
  display: none;
}

/* The dots/bullets/indicators */
.dot {
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.active {
  background-color: #717171;
}

/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {opacity: .4} 
  to {opacity: 1}
}

/* On smaller screens, decrease text size */
@media only screen and (max-width: 300px) {
  .text {font-size: 11px}
}


#photo,.photo{        
    min-width: 30%;  /*Adjust width as needed */
    min-height: 40%; /* Adjust height as needed */
    float: left;
}
@media only screen and (max-width: 1200px) {
    #photo,.photo{        
        min-width: 45%;  /*Adjust width as needed */
      /*  height: 40%;  Adjust height as needed */
    }
}
@media only screen and (max-width: 600px) {
    #photo,.photo{        
        min-width: 100%;  /*Adjust width as needed */
      /*  height: 40%;  Adjust height as needed */
    }
}
</style>
</head>
<body>

<?php if($display == "Block"){ ?>
<div class="slideshow-container">

<div class="mySlides fade">
  <div class="numbertext">1 / 3</div>
    <div id="falcon"><img class="photo" style="width: 33%;" id="falcon1" src="https://datafilter.online/DataBank/falcon.png?v=<?php echo $ut;?>" alt="Image"></div>
    <div id="octopus"><img class="photo" style="width: 33%;" id="octopus1" src="https://datafilter.online/DataBank/octopus.png?v=<?php echo $ut;?>" alt="Image"></div>
    <div id="phoenix"><img class="photo" style="width: 33%;" id="phoenix1" src="https://datafilter.online/DataBank/phoenix.png?v=<?php echo $ut;?>" alt="Image"></div>
    <div id="fox"><img class="photo" style="width: 33%;" id="fox1" src="https://datafilter.online/DataBank/fox.png?v=<?php echo $ut;?>" alt="Image"></div>
    <div id="tigon"><img class="photo" style="width: 33%;" id="tigon1" src="https://datafilter.online/DataBank/tigon.png?v=<?php echo $ut;?>" alt="Image"></div>
    <div id="shark"><img class="photo" style="width: 33%;" id="shark1" src="https://datafilter.online/DataBank/shark.png?v=<?php echo $ut;?>" alt="Image"></div>
    
    
    
    
    
    
    

  <!--<img src="https://datafilter.online/DataBank/falcon.png?v=<?php echo $ut;?>" style="">-->
  <div class="text">Caption Text</div>
</div>

<div class="mySlides fade">
  <div class="numbertext">2 / 3</div>
  <div id="FalconLogs"><img src="https://datafilter.online/DataBank/FalconLogs.png?v=<?php echo $ut;?>" style="width:100%;max-height:900px;"></div>
  
  <div class="text">Caption Two</div>
</div>

<div class="mySlides fade">
  <div class="numbertext">2 / 3</div>
  <div id="FalconLogs1"><img src="https://datafilter.online/DataBank/FalconLogs1.png?v=<?php echo $ut;?>" style="width:100%;max-height:900px;"></div>  
  <div class="text">Caption Two</div>
</div>

<div class="mySlides fade">
  <div class="numbertext">2 / 3</div>
  <div id="FalconLogs2"><img src="https://datafilter.online/DataBank/FalconLogs2.png?v=<?php echo $ut;?>" style="width:100%;max-height:900px;"></div> 
  <div class="text">Caption Two</div>
</div>

<div class="mySlides fade">
  <div class="numbertext">2 / 3</div>
  <div id="FalconLogs3"><img src="https://datafilter.online/DataBank/FalconLogs3.png?v=<?php echo $ut;?>" style="width:100%;max-height:900px;"></div> 
  <div class="text">Caption Two</div>
</div>
<!--
<div class="mySlides fade">
  <div class="numbertext">3 / 3</div>
  <img src="https://datafilter.online/DataBank/phoenix.png?v=<?php echo $ut;?>" style="">
  <div class="text">Caption Three</div>
</div>
-->
<div class="mySlides fade">
  <div class="numbertext">1 / 3</div>
  <div id="PhoenixLogs"><img src="https://datafilter.online/DataBank/PhoenixLogs.png?v=<?php echo $ut;?>" style="width:100%;max-height:900px;"></div> 
  <div class="text">Caption Text</div>
</div>

<div class="mySlides fade">
  <div class="numbertext">1 / 3</div>
  <div id="PhoenixLogs1"><img src="https://datafilter.online/DataBank/PhoenixLogs1.png?v=<?php echo $ut;?>" style="width:100%;max-height:900px;"></div> 
  <div class="text">Caption Text</div>
</div>

<div class="mySlides fade">
  <div class="numbertext">1 / 3</div>
  <div id="PhoenixLogs2"><img src="https://datafilter.online/DataBank/PhoenixLogs2.png?v=<?php echo $ut;?>" style="width:100%;max-height:900px;"></div> 
  <div class="text">Caption Text</div>
</div>

<div class="mySlides fade">
  <div class="numbertext">1 / 3</div>
  <div id="PhoenixLogs3"><img src="https://datafilter.online/DataBank/PhoenixLogs3.png?v=<?php echo $ut;?>" style="width:100%;max-height:900px;"></div> 
  <div class="text">Caption Text</div>
</div>

<!--
<div class="mySlides fade">
  <div class="numbertext">2 / 3</div>
  <img src="https://datafilter.online/DataBank/octopus.png?v=<?php echo $ut;?>" style="">
  <div class="text">Caption Two</div>
</div>

<div class="mySlides fade">
  <div class="numbertext">3 / 3</div>
  <img src="https://datafilter.online/DataBank/fox.png?v=<?php echo $ut;?>" style="">
  <div class="text">Caption Three</div>
</div>

<div class="mySlides fade">
  <div class="numbertext">2 / 3</div>
  <img src="https://datafilter.online/DataBank/tigon.png?v=<?php echo $ut;?>" style="">
  <div class="text">Caption Two</div>
</div>

<div class="mySlides fade">
  <div class="numbertext">3 / 3</div>
  <img src="https://datafilter.online/DataBank/shark.png?v=<?php echo $ut;?>" style="">
  <div class="text">Caption Three</div>
</div>
-->
</div>
<br>

<div style="text-align:center;display: none;">
  <span class="dot"></span> 
  <span class="dot"></span> 
  <span class="dot"></span> 
  <span class="dot"></span> 
  <span class="dot"></span> 
  <span class="dot"></span>
  <span class="dot"></span> 
  <span class="dot"></span> 
  <span class="dot"></span>  
</div>

<script>
let slideIndex = 0;
showSlides();

function showSlides() {
  let i;
  let slides = document.getElementsByClassName("mySlides");
  let dots = document.getElementsByClassName("dot");
  for (i = 0; i < slides.length; i++) {
    slides[i].style.display = "none";  
  }
  slideIndex++;
  if (slideIndex > slides.length) {slideIndex = 1}    
  for (i = 0; i < dots.length; i++) {
    dots[i].className = dots[i].className.replace(" active", "");
    if((i+1) == dots.length){
      i = 0;
    }
  }
  slides[slideIndex-1].style.display = "block";  
  dots[slideIndex-1].className += " active";
  setTimeout(showSlides, 7000); // Change image every 2 seconds
}


function refreshPage() {
  window.location.reload(true);
}

// setInterval(refreshPage, 75000);
</script>



<script>
        
        <?php if($display == "Block"){ ?>

        // Phoenix Image Fetch
        {
            function fetchDataPhoenix() {

                let url = 'https://datafilter.online/DataBank/phoenix.png'
                let milliseconds = new Date().getTime();
                let result = url.concat("?samay=", milliseconds);
                fetch(result) // Replace with the actual path to your image
                    .then(response => {
                        if (response.ok) {
                            return response.blob();
                        } else {
                            throw new Error('Image not found');
                        }
                    })
                    .then(blob => {
                        const reader = new FileReader();
                        reader.onload = () => {
                            const imageData = reader.result;
                            const displayElement = document.getElementById('phoenix');
                            if(blob.size >= 5000){
                            displayElement.innerHTML = `
                                <img class="photo" style="width: 33%;" src="${imageData}" alt="Image">
                                
                            `;}
                        };
                        reader.readAsDataURL(blob);
                    })
                    .catch(error => {
                        console.error('Error fetching image:', error);
                        const displayElement = document.getElementById('phoenix');
                        displayElement.innerHTML = 'Phoenix not found.';
                    });
            }

            setInterval(fetchDataPhoenix, 10000); // Fetch data every 10 seconds
        }

        // Falcon Image Fetch
        {
            function fetchDataFalcon() {

                let url = 'https://datafilter.online/DataBank/falcon.png'
                let milliseconds = new Date().getTime();
                let result = url.concat("?samay=", milliseconds);
                fetch(result) // Replace with the actual path to your image
                    .then(response => {
                        if (response.ok) {
                            return response.blob();
                        } else {
                            throw new Error('Image not found');
                        }
                    })
                    .then(blob => {
                        const reader = new FileReader();
                        reader.onload = () => {
                            const imageData = reader.result;
                            const displayElement = document.getElementById('falcon');
                            if(blob.size >= 5000){
                            displayElement.innerHTML = `
                                <img class="photo" style="width: 33%;" src="${imageData}" alt="Image">
                            `;}
                        };
                        reader.readAsDataURL(blob);
                    })
                    .catch(error => {
                        console.error('Error fetching image:', error);
                        const displayElement = document.getElementById('falcon');
                        displayElement.innerHTML = 'Falcon not found.';
                    });
            }

            setInterval(fetchDataFalcon, 10000); // Fetch data every 10 seconds
        }

// Octopus Image Fetch
{
    function fetchDataOctopus() {

        let url = 'https://datafilter.online/DataBank/octopus.png'
        let milliseconds = new Date().getTime();
        let result = url.concat("?samay=", milliseconds);
        fetch(result) // Replace with the actual path to your image
            .then(response => {
                if (response.ok) {
                    return response.blob();
                } else {
                    throw new Error('Image not found');
                }
            })
            .then(blob => {
                const reader = new FileReader();
                reader.onload = () => {
                    const imageData = reader.result;
                    const displayElement = document.getElementById('octopus');
                    if(blob.size >= 5000){
                    displayElement.innerHTML = `
                      <img class="photo" style="width: 33%;" src="${imageData}" alt="Image">
                    `;}
                };
                reader.readAsDataURL(blob);
            })
            .catch(error => {
                console.error('Error fetching image:', error);
                const displayElement = document.getElementById('octopus');
                displayElement.innerHTML = 'Octopus not found.';
            });
    }

    setInterval(fetchDataOctopus, 10000); // Fetch data every 10 seconds
}

// Fox Image Fetch
{
    function fetchDataFox() {

        let url = 'https://datafilter.online/DataBank/fox.png'
        let milliseconds = new Date().getTime();
        let result = url.concat("?samay=", milliseconds);
        fetch(result) // Replace with the actual path to your image
            .then(response => {
                if (response.ok) {
                    return response.blob();
                } else {
                    throw new Error('Image not found');
                }
            })
            .then(blob => {
                const reader = new FileReader();
                reader.onload = () => {
                    const imageData = reader.result;
                    const displayElement = document.getElementById('fox');
                    if(blob.size >= 5000){
                    displayElement.innerHTML = `
                      <img class="photo" style="width: 33%;" src="${imageData}" alt="Image">
                    `;}
                };
                reader.readAsDataURL(blob);
            })
            .catch(error => {
                console.error('Error fetching image:', error);
                const displayElement = document.getElementById('fox');
                displayElement.innerHTML = 'Fox not found.';
            });
    }

    setInterval(fetchDataFox, 10000); // Fetch data every 10 seconds
}

// Tigon Image Fetch
{
    function fetchDataTigon() {

        let url = 'https://datafilter.online/DataBank/tigon.png'
        let milliseconds = new Date().getTime();
        let result = url.concat("?samay=", milliseconds);
        fetch(result) // Replace with the actual path to your image
            .then(response => {
                if (response.ok) {
                    return response.blob();
                } else {
                    throw new Error('Image not found');
                }
            })
            .then(blob => {
                const reader = new FileReader();
                reader.onload = () => {
                    const imageData = reader.result;
                    const displayElement = document.getElementById('tigon');
                    if(blob.size >= 5000){
                    displayElement.innerHTML = `
                      <img class="photo" style="width: 33%;" src="${imageData}" alt="Image">
                    `;}
                };
                reader.readAsDataURL(blob);
            })
            .catch(error => {
                console.error('Error fetching image:', error);
                const displayElement = document.getElementById('tigon');
                displayElement.innerHTML = 'Tigon not found.';
            });
    }

    setInterval(fetchDataTigon, 10000); // Fetch data every 10 seconds
}

// Shark Image Fetch
{
    function fetchDataShark() {

        let url = 'https://datafilter.online/DataBank/shark.png'
        let milliseconds = new Date().getTime();
        let result = url.concat("?samay=", milliseconds);
        fetch(result) // Replace with the actual path to your image
            .then(response => {
                if (response.ok) {
                    return response.blob();
                } else {
                    throw new Error('Image not found');
                }
            })
            .then(blob => {
                const reader = new FileReader();
                reader.onload = () => {
                    const imageData = reader.result;
                    const displayElement = document.getElementById('shark');
                    if(blob.size >= 5000){
                    displayElement.innerHTML = `
                      <img class="photo" style="width: 33%;" src="${imageData}" alt="Image">
                    `;}
                };
                reader.readAsDataURL(blob);
            })
            .catch(error => {
                console.error('Error fetching image:', error);
                const displayElement = document.getElementById('shark');
                displayElement.innerHTML = 'Shark not found.';
            });
    }

    setInterval(fetchDataShark, 10000); // Fetch data every 10 seconds
}

        {
            function fetchDataPhoenixLogs() {

                let url = 'https://datafilter.online/DataBank/PhoenixLogs.png'
                let milliseconds = new Date().getTime();
                let result = url.concat("?samay=", milliseconds);
                fetch(result) // Replace with the actual path to your image
                    .then(response => {
                        if (response.ok) {
                            return response.blob();
                        } else {
                            throw new Error('Image not found');
                        }
                    })
                    .then(blob => {
                        const reader = new FileReader();
                        reader.onload = () => {
                            const imageData = reader.result;
                            const displayElement = document.getElementById('phoenixLogs');
                            if(blob.size >= 5000){
                            displayElement.innerHTML = `
                                <img src="${imageData}" alt="Fetched Image">
                            `;}
                        };
                        reader.readAsDataURL(blob);
                    })
                    .catch(error => {
                        console.error('Error fetching image:', error);
                        const displayElement = document.getElementById('phoenixLogs');
                        displayElement.innerHTML = 'Phoenix Logs not found.';
                    });
            }
            setInterval(fetchDataPhoenixLogs, 10000); // Fetch data every 10 seconds
        }

        

        {
            function fetchDataPhoenixLogsPro() {

                let url = 'https://datafilter.online/DataBank/PhoenixLogs1.png'
                let milliseconds = new Date().getTime();
                let result = url.concat("?samay=", milliseconds);
                fetch(result) // Replace with the actual path to your image
                    .then(response => {
                        if (response.ok) {
                            return response.blob();
                        } else {
                            throw new Error('Image not found');
                        }
                    })
                    .then(blob => {
                        const reader = new FileReader();
                        reader.onload = () => {
                            const imageData = reader.result;
                            const displayElement = document.getElementById('phoenixLogsPro');
                            if(blob.size >= 5000){
                            displayElement.innerHTML = `
                                <img src="${imageData}" alt="Fetched Image">
                            `;}
                        };
                        reader.readAsDataURL(blob);
                    })
                    .catch(error => {
                        console.error('Error fetching image:', error);
                        const displayElement = document.getElementById('phoenixLogsPro');
                        displayElement.innerHTML = 'Phoenix Logs Pro not found.';
                    });
            }
            setInterval(fetchDataPhoenixLogsPro, 10000); // Fetch data every 10 seconds
        }

        

        {
            function fetchDataPhoenixLogsMax() {

                let url = 'https://datafilter.online/DataBank/PhoenixLogs2.png'
                let milliseconds = new Date().getTime();
                let result = url.concat("?samay=", milliseconds);
                fetch(result) // Replace with the actual path to your image
                    .then(response => {
                        if (response.ok) {
                            return response.blob();
                        } else {
                            throw new Error('Image not found');
                        }
                    })
                    .then(blob => {
                        const reader = new FileReader();
                        reader.onload = () => {
                            const imageData = reader.result;
                            const displayElement = document.getElementById('phoenixLogsMax');
                            if(blob.size >= 5000){
                            displayElement.innerHTML = `
                                <img src="${imageData}" alt="Fetched Image">
                            `;}
                        };
                        reader.readAsDataURL(blob);
                    })
                    .catch(error => {
                        console.error('Error fetching image:', error);
                        const displayElement = document.getElementById('phoenixLogsMax');
                        displayElement.innerHTML = 'Phoenix Logs Max not found.';
                    });
            }
            setInterval(fetchDataPhoenixLogsMax, 10000); // Fetch data every 10 seconds
        }

        

        {
            function fetchDataPhoenixLogsUltra() {

                let url = 'https://datafilter.online/DataBank/PhoenixLogs3.png'
                let milliseconds = new Date().getTime();
                let result = url.concat("?samay=", milliseconds);
                fetch(result) // Replace with the actual path to your image
                    .then(response => {
                        if (response.ok) {
                            return response.blob();
                        } else {
                            throw new Error('Image not found');
                        }
                    })
                    .then(blob => {
                        const reader = new FileReader();
                        reader.onload = () => {
                            const imageData = reader.result;
                            const displayElement = document.getElementById('phoenixLogsUltra');
                            if(blob.size >= 5000){
                            displayElement.innerHTML = `
                                <img src="${imageData}" alt="Fetched Image">
                            `;}
                        };
                        reader.readAsDataURL(blob);
                    })
                    .catch(error => {
                        console.error('Error fetching image:', error);
                        const displayElement = document.getElementById('phoenixLogsUltra');
                        displayElement.innerHTML = 'Phoenix Logs Ultra not found.';
                    });
            }
            setInterval(fetchDataPhoenixLogsUltra, 10000); // Fetch data every 10 seconds
        }
        <?php } ?>
    </script>



<?php } ?>
</body>
</html> 